Skip to content

upsertSupplierPart

WRITE

Upsert supplier part.

POST /api/v1/items/upsertSupplierPart
curl -X POST '<your-host>/api/v1/items/upsertSupplierPart' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string",
    "supplierId": "string",
    "minimumOrderQuantity": 0,
    "conversionFactor": 0,
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min 0
min length 1
min 0
min length 1
min 1
min 0

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string",
      "minLength": 1
    },
    "supplierId": {
      "type": "string",
      "minLength": 1
    },
    "supplierPartId": {
      "type": "string"
    },
    "supplierUnitOfMeasureCode": {
      "type": "string"
    },
    "minimumOrderQuantity": {
      "type": "number",
      "minimum": 0
    },
    "orderMultiple": {
      "type": "number",
      "minimum": 1
    },
    "conversionFactor": {
      "type": "number",
      "minimum": 0
    },
    "unitPrice": {
      "type": "number",
      "minimum": 0
    },
    "customFields": {},
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "itemId",
    "supplierId",
    "minimumOrderQuantity",
    "conversionFactor",
    "_operation"
  ]
}